Skip to main content
GET
List questionnaires

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

q
string

Filter questionnaires by display name (case-insensitive, partial match).

statusMatchesAny
enum<string>[]

Filter questionnaires matching any of the provided statuses.

Available options:
APPROVED,
IN_PROGRESS,
IN_REVIEW,
READY_FOR_REVIEW,
WAITING_ON_ANSWERS,
ON_HOLD,
NO_LONGER_NEEDED,
COMPLETE,
ERROR,
EXTRACTING_QUESTIONS,
QUEUED_FOR_EXTRACTION,
PROCESSING,
QUEUED_FOR_PROCESSING,
WAITING_ON_COLUMN_SELECTION,
WAITING_ON_COLUMN_APPROVAL,
QUEUED_FOR_COLUMN_DETECTION,
DETECTING_COLUMNS
typeMatchesAny
enum<string>[]

Filter questionnaires matching any of the provided types.

Available options:
SPREADSHEET,
WEBSITE,
DOCUMENT
createdAfter
string

Filter to questionnaires created after this date (ISO 8601 string).

createdBefore
string

Filter to questionnaires created before this date (ISO 8601 string).

ownerIdMatchesAny
string[]

Filter to questionnaires owned by any of the provided user IDs.

approverIdMatchesAny
string[]

Filter to questionnaires with an approver matching any of the provided user IDs.

Response

200 - application/json

Ok

results
object
required